<?php
declare (strict_types = 1);

namespace app\common\model;

use think\Model;

/**
 * @mixin \think\Model
 */
class ArticleBrowerHistory extends Model
{
    
    protected $schema = [
        "id" => "int",  // id
        "ip" => "varchar",  // ip地址
        "aid" => "int",  // 文章id
        "create_time" => "int",  // 创建时间
    ];

    protected $autoWriteTimestamp = false;

    public static function getByIpAid($ip, $aid)
    {
        return self::where('ip', $ip)->where('aid', $aid)->find();
    }
}
